summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2026-06-02 09:51:59 +0200
committerRemi Collet <remi@php.net>2026-06-02 09:51:59 +0200
commit93228513d04f8bdb60f9d202a42156fa34095a19 (patch)
tree2c07fa58f31b5ccfc10ee3a6fb5ac014cbe0773d
parente1eca7488f32721572ea692064050e96bbf5a8ee (diff)
update to 4.6.0HEADmaster
-rwxr-xr-xmakesrc.sh23
-rw-r--r--php-sabre-vobject4.spec11
2 files changed, 15 insertions, 19 deletions
diff --git a/makesrc.sh b/makesrc.sh
index f9982c6..f2a2aed 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -4,29 +4,24 @@ NAME=$(basename $PWD)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "Already there."
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit 1
- cp composer.json ../composer.json
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/php-sabre-vobject4.spec b/php-sabre-vobject4.spec
index 1ee5a97..a532aa6 100644
--- a/php-sabre-vobject4.spec
+++ b/php-sabre-vobject4.spec
@@ -13,20 +13,18 @@
# For compatibility with SCL
%undefine __brp_mangle_shebangs
-%global gh_commit d554eb24d64232922e1eab5896cc2f84b3b9ffb1
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sabre-io
%global gh_project vobject
%global with_cmd 1
Name: php-sabre-vobject4
Summary: Library to parse and manipulate iCalendar and vCard objects
-Version: 4.5.8
+Version: 4.6.0
Release: 1%{?dist}
URL: http://sabre.io/vobject/
License: BSD-3-Clause
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source2: makesrc.sh
# replace composer autloader
@@ -88,7 +86,7 @@ Autoloader: %{_datadir}/php/Sabre/VObject4/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%patch -P0 -p1 -b .rpm
@@ -169,6 +167,9 @@ exit $ret
%endif
%changelog
+* Tue Jun 2 2026 Remi Collet <remi@remirepo.net> - 4.6.0-1
+- update to 4.6.0
+
* Mon Jan 12 2026 Remi Collet <remi@remirepo.net> - 4.5.8-1
- update to 4.5.8